Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nl.tudelft.simulation.dsol.formalisms.flow.statistics
Class Utilization

    java.lang.Object
      nl.tudelft.simulation.event.EventProducer
          nl.tudelft.simulation.jstats.statistics.StatisticsObject
              nl.tudelft.simulation.jstats.statistics.Tally
                  nl.tudelft.simulation.jstats.statistics.Persistent
                      nl.tudelft.simulation.dsol.formalisms.flow.statistics.Utilization

All Implemented Interfaces:
  java.util.EventListener, nl.tudelft.simulation.event.EventListenerInterface, nl.tudelft.simulation.event.EventProducerInterface, java.io.Serializable, nl.tudelft.simulation.jstats.Swingable

public class Utilization
extends nl.tudelft.simulation.jstats.statistics.Persistent

A Utilization
(c) copyright 2003 Delft University of Technology , the Netherlands.
See for project information www.simulation.tudelft.nl
License of use: General Public License (GPL) , no warranty

Version:
  1.0 Dec 8, 2003
Author:
  Peter Jacobs
See Also:
  Serialized Form

Field Summary

Fields inherited from class nl.tudelft.simulation.jstats.statistics.Persistent
`VALUE_EVENT`

Fields inherited from class nl.tudelft.simulation.jstats.statistics.Tally
`BOTH_SIDE_CONFIDENCE, description, LEFT_SIDE_CONFIDENCE, max, MAX_EVENT, min, MIN_EVENT, n, N_EVENT, RIGTH_SIDE_CONFIDENCE, SAMPLE_MEAN_EVENT, SAMPLE_VARIANCE_EVENT, sampleMean, semaphore, STANDARD_DEVIATION_EVENT, sum, SUM_EVENT, varianceSum`

Fields inherited from class nl.tudelft.simulation.event.EventProducer
`listeners`

Fields inherited from interface nl.tudelft.simulation.event.EventProducerInterface
`FIRST_POSITION, LAST_POSITION`

Constructor Summary
`Utilization(java.lang.String description, SimulatorInterface simulator, StationInterface target)` constructs a new Utilization

Method Summary
`protected void` | `endOfReplication()` endOfReplication is invoked to store the final results
`void` | `notify(nl.tudelft.simulation.event.EventInterface event)`

Methods inherited from class nl.tudelft.simulation.jstats.statistics.Persistent
`getSampleVariance, getStdDev, initialize`

Methods inherited from class nl.tudelft.simulation.jstats.statistics.Tally
`getConfidenceInterval, getConfidenceInterval, getDescription, getMax, getMin, getN, getSampleMean, getSum, getTable, isInitialized, setMax, setMin, setN, setSampleMean, setSum, toString`

Methods inherited from class nl.tudelft.simulation.jstats.statistics.StatisticsObject
`getSwingPanel`

Methods inherited from class nl.tudelft.simulation.event.EventProducer
`addListener, addListener, addListener, addListener, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, getEventTypes, removeAllListeners, removeAllListeners, removeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Utilization

    public Utilization(java.lang.String description,
                       SimulatorInterface simulator,
                       StationInterface target)
                throws java.rmi.RemoteException

  constructs a new Utilization

Parameters:
  `description` - the description of this utilization
  `simulator` - the simulator
  `target` - the target
Throws:
  `java.rmi.RemoteException` - on network failure

Method Detail

### notify

    public void notify(nl.tudelft.simulation.event.EventInterface event)

  See Also:
    `#notify(nl.tudelft.simulation.event.EventInterface)`

### endOfReplication

    protected void endOfReplication()

  endOfReplication is invoked to store the final results

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2004 Delft University of Technology, the Netherlands. All Rights Reserved.